Subject: Solidrun ClearFog Base and Huawei MA5671A SFP

From: Hamza Mahfooz <[email-masked]>
Date: Sat, 26 Dec 2020 16:41:40 -0500

Hey, has anyone got the ClearFog (ARMADA 388 SoC) to work with the 
MA5671A? I've to been trying to get the ClearFog to read the MA5671A's 
EEPROM however it always throws the following error:

 > # dmesg | grep sfp
 > [ 4.550651] sfp sfp: Host maximum power 2.0W
 > [ 5.875047] sfp sfp: please wait, module slow to respond
 > [ 61.295045] sfp sfp: failed to read EEPROM: -6

I've tried to increase the retry timeout in `/drivers/net/phy/sfp.c` 
(i.e. T_PROBE_RETRY_SLOW) so far, any suggestions would be appreciated. 
Also, I'm on kernel version 5.9.13.